import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

class UniqueIdNotifier extends Notifier<UniqueKey> {
  @override
  UniqueKey build() {
    return UniqueKey();
  }

  void updateId() {
    state = UniqueKey();
  }
}

final uniqueIdProvider =
    NotifierProvider<UniqueIdNotifier, UniqueKey>(() => UniqueIdNotifier());
